<?php

namespace App\Http\Controllers;

use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class BussinessOpportunitiesController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $businesses = DB::table('businesses')->get();

        return view('business-opportunities', compact('businesses'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        $business = DB::table('businesses')->find($id);
        // echo '<pre>';print_r($business);exit;
        if (!$business) {
            abort(404);
        }

        $currentDate = Carbon::now();

        if ($currentDate->month >= 4) {
            $startYear = $currentDate->year - 1;
            $endYear = $currentDate->year;
        } else {
            $startYear = $currentDate->year - 2;
            $endYear = $currentDate->year - 1;
        }

        $financialYear = $startYear . '-' . substr($endYear, 2);

        return view('business.owner', compact('business', 'financialYear'));
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}
