<?php

namespace App\Http\Middleware;

use Illuminate\Auth\Middleware\Authenticate as Middleware;
use Illuminate\Http\Request;

class Authenticate extends Middleware
{
    /**
     * Get the path the user should be redirected to when they are not authenticated.
     */
    protected function redirectTo(Request $request): ?string
    {
        // return $request->expectsJson() ? null : route('login');
        if (!$request->expectsJson()) {
            if ($request->is('seller/*')) {
                return route('login');
            } elseif ($request->is('buyer/*')) {
                return route('login');
            }
            return route('login');
        }

        return null;
    }
}

